<?php

class actionFeedbacklView extends cmsAction {

    public function run($id = null) {

        if (!$this->isEnabled()) {

            cmsCore::error404();
        }

        if (!cmsUser::isAdmin()) {
            cmsCore::error404();
        }

        if (!$id) {
            cmsCore::error404();
        }

        $items = $this->model->getFeedbacklItemId($id);
        if (!$items) {
            cmsCore::error404();
        }

        if (isset($items['file'])) {
            $items['file'] = cmsModel::yamlToArray($items['file']);
            $file = $this->cms_core->getController('feedbackl')->parsefile($items['file']);
        }
        return $this->cms_template->render('feedbackl_ok', array(
                    'items' => $items,
                    'viwe' => True,
                    'file' => isset($file) ? $file : '',
        ));
    }

}
